/* Style globalne */

@import url(variables.css);

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'AvantGardeITC_book', sans-serif;
}

body{
    background-color: #3c3c3c;
}

main{
    background-color: #fff;
}

#root{
    background-color: rgba(0, 0, 0, 0.3);
    transition: background 300ms;
}


/* Do podstron */
.banner{
    width: 100%;
    height: 400px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
}

.banner__container{
    max-width: 1280px;
    height: 100%;
    margin: 0 auto;
}

.banner__overlay{
    width: 100%;
    /* background-color: rgb(0, 0, 0, 0.5); */
    margin-top: auto;
}

.banner__h2{
    color: var(--main-color);
    text-transform: uppercase;
    font-size: 80px;
    font-family: "All Round Gothic book";
    font-weight: normal;
    padding: 0 20px;
}

.main{
    padding: 30px 20px;
    font-size: 20px;
}

.main__container{
    max-width: 1280px;
    margin: 0 auto;
}

.main__h2{
    color: var(--main-color);
}

.main__h3{
    color: var(--main-color);
}

.main__p{
    margin: 30px 0;
    line-height: 28px;
}

.main__subP{
    margin: 10px 0;
}

.main__strong{
    color: var(--main-color);
}

.main__ul{
    padding-left: 30px;
    line-height: 28px;
}

.main__subUl{
    padding-left: 30px;
    line-height: 28px;
}

.main__a{
    color: var(--main-color);
}

.main__a:hover{
    color: hsl(334, 98%, 40%);   
}

.main__span{
    color: var(--main-color);
}

.main__img{
    display: block;
    max-width: 1000px;
    margin: 0 auto;
    width: 100%;
}

.about-us-banner{
    background-image: url(../img/banners/bg_about-us.jpg);
    background-position: 0% 40%;
}

.contact-banner{
    background-image: url(../img/banners/bg_contact.jpg);
}

.wuzo-banner{
    background-image: url(../img/banners/bg_wuzo.jpg);
    background-position: 0% 20%;
}

.mobicard-banner{
    background-image: url(../img/banners/bg_mobicard.jpg);
    background-position: right;
}

.claimy-banner{
    background-image: url(../img/banners/bg_claimy.jpg);
    background-position: 0% 25%;
}

.emiles-banner{
    background-image: url(../img/banners/bg_emiles.jpg);
}

.full_service_leasing-banner{
    background-image: url(../img/banners/bg_full-service-leasing.jpg);
    background-position: 0% 30%;
}

.remarketing-banner{
    background-image: url(../img/banners/bg_remarketing.jpg);
    background-position: right;
}

.innowacje-banner{
    background-image: url(../img/banners/bg_innowacje.jpg);
}

#cookies-message {
    font-family: 'AvantGarMdITC';
    border-radius: 5px;
    max-width: 780px;
    margin-left: 50px;
    right: 50px;
    padding: 30px 25px;
    font-size: 19px;
    line-height: 22px;
    text-align: center;
    position: fixed;
    bottom: 50px;
    background-color: hsla(334, 99%, 50%, 0.6);
    backdrop-filter: blur(10px);
    z-index: 999;
    color: #FFFFFF;
    border-right: 5px solid var(--main-color);
    border-left: 5px solid var(--main-color);
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.cookie-img{
    width: auto;
    height: 100%;
    margin: auto 0;
}

#accept-cookies-checkbox {
    color: white;
    text-decoration: none;
    margin: 0 auto;
    width: fit-content;
    font-size: 18px;
    border: 2px solid white;
    padding: 5px 30px;
    border-radius: 15px;
    transition: border 300ms, color 300ms, background-color 300ms;
    display: block;
    cursor: pointer;
}

#accept-cookies-checkbox:hover{
    color: var(--main-color);
    border: 2px solid var(--main-color);
    /* background-color: rgba(0, 0, 0, 0.2); */
}

.cookie-a-container{
    display: flex;
    justify-content: center;
    align-items: center;
}

@media only screen and (max-width: 768px) {
    .banner__h2{
        font-size: 70px;
    }
    
    .wuzo-banner{
        background-position: center;
    }

    .mobicard-banner{
        background-position: 70% 0%;
    }

    .claimy-banner{
        background-position: 50% 0%;
    }

    .full_service_leasing-banner{
        background-position: 30% 0%;
    }

    #cookies-message{
        width: 100%;
        right: 0;
        bottom: 0;
        border-radius: 5px 5px 0px 0px;
        font-size: 16px;
    }
}

@media only screen and (max-width: 480px) {
    .banner__h2{
        font-size: 45px;
    }
    .cookie-img{
        margin: 0 auto;
    }
    #cookies-message{
        flex-wrap: wrap;
    }
    .cookie-a-container{
        width: 100%;
    }
    #accept-cookies-checkbox{
        width: 80%;
        clear: both;
    }
}
